Subject: Re: [RFC] usbnet: use eth%d name for known ethernet devices

From: Arnd Bergmann <[email-masked]>
Date: Thu, 24 Mar 2011 14:13:54 +0100

On Thursday 24 March 2011, Ben Hutchings wrote:
> On Wed, 2011-03-23 at 16:38 -0700, Steve Calfee wrote:
> > On 03/23/11 16:17, Michal Nazarewicz wrote:
> > >>> On Wednesday 23 March 2011 20:53:13 Michał Nazarewicz wrote:
> > >>>> I think P2P could be better.
> > >>
> > >> OTOH, I knew that PTP was point-to-point.
> > >
> > > It can be any of that, depending on context.  For me PTP is more like
> > > Picture Transport Protocol, whereas "2" between two letters is usually
> > > "to".
> > >
> > Well, my 2 cents, picture transport protocol is so obviously different 
> > than flags for network interfaces it does not cause a mental collision. 
> 
> PTP is also Precision Time Protocol, which *is* used on network
> interfaces (maybe not USB-connected interfaces though).
> 
> How about FLAG_NON_IEEE, meaning that the physical layer is not based on
> an IEEE 802.3, 802.11 or other standard physical layer.

I think that doesn't really express the meaning, since FLAG_WWAN is
presumably also not IEEE, right?

Thanks for the bike shedding everyone, I'll just use my own color then
and call it FLAG_POINTTOPOINT.

	Arnd